import { Response } from 'express';
import { changePasswordDto, resetOtpDto, resetPasswordDto, verifyOtpDto } from '../shared/shared.dto';
import { createOwnerDto, resendOtpDto, signinOwnerDto, updateOwnerDto } from './owner.dto';
import { OwnerService } from './owner.service';
export declare class OwnerController {
    private readonly service;
    constructor(service: OwnerService);
    signup(data: createOwnerDto, res: Response): Promise<Response<any, Record<string, any>>>;
    resendOtp(data: resendOtpDto, res: Response): Promise<Response<any, Record<string, any>>>;
    verifyOtp(data: verifyOtpDto, res: Response): Promise<Response<any, Record<string, any>>>;
    singin(data: signinOwnerDto, res: Response): Promise<Response<any, Record<string, any>>>;
    update(id: string, data: updateOwnerDto, res: Response): Promise<Response<any, Record<string, any>>>;
    forgotPassword(data: resendOtpDto, res: Response): Promise<Response<any, Record<string, any>>>;
    resetVerifyOtp(data: resetOtpDto, res: Response): Promise<Response<any, Record<string, any>>>;
    resetPassword(data: resetPasswordDto, res: Response): Promise<Response<any, Record<string, any>>>;
    changePassword(id: string, data: changePasswordDto, res: Response): Promise<Response<any, Record<string, any>>>;
}
